



<p-card header="Registro de Libros" [style]="{
height: '680px'}">
  <div class="p-formgroup-inline form">
    <div class="p-field">
      <label for="firstname" class="p-sr-only">autor</label>
      <input id="firstname" [(ngModel)]="book.author" type="text" pInputText placeholder="autor">
  </div>
      <div class="p-field">
          <label for="firstname" class="p-sr-only">nombre libro</label>
          <input id="firstname" [(ngModel)]="book.name" type="text" pInputText placeholder="nombre del libro">
      </div>
      <div class="p-field">
          <label for="lastname" class="p-sr-only">precio</label>
          <input id="lastname" pKeyFilter="num"  [(ngModel)]="book.price"  type="text" pInputText placeholder="precio">
      </div>
      <div class="p-field">
        <label for="lastname" class="p-sr-only">fecha</label>
        <p-calendar [(ngModel)]="book.publicationDate" [showIcon]="true" inputId="icon"></p-calendar>
    </div>
     <div class="p-field">
      <label for="lastname" class="p-sr-only">disponible</label>
      <p-toggleButton [(ngModel)]="book.available" onIcon="pi pi-check" offIcon="pi pi-times"></p-toggleButton>
  </div>
      <button pButton (click)="Guardar()" style="background-color: #FF5500; border-color: #FF5500;" type="button" label="Guardar"></button>
  </div>
  <hr>
  <br>
  <p-table #dt1  [columns]="cols" [paginator]="true" [rows]="4"  [value]="lstBooks">
    <ng-template pTemplate="caption">
      <div class="p-d-flex">
          <span class="p-input-icon-left p-ml-auto">
              <i class="pi pi-search"></i>
              <input pInputText type="text" (input)="dt1.filterGlobal($event.target.value, 'contains')" placeholder="Search keyword" />
          </span>
      </div>
  </ng-template>
    <ng-template pTemplate="header" let-columns>
        <tr>
            <th *ngFor="let col of columns">
                {{col.header}}
            </th>
        </tr>
    </ng-template>
    <ng-template pTemplate="body" let-rowData let-columns="columns">
        <tr>
            <!-- <td *ngFor="let col of columns">
                {{rowData[col.field]  }}
            </td> -->
            <td>{{rowData.id}}</td>
            <td>{{rowData.author}}</td>
            <td>{{rowData.name}}</td>
            <td>{{rowData.price}}</td>
            <td>{{rowData.available==true? 'Si':'No' }}</td>
            <td>{{rowData.publicationDate | date:'shortDate'}}</td>
        </tr>
    </ng-template>
  </p-table>
</p-card>

